## QSU2: A QGIS Processing Plugin to Prepare the SU2 Files for CFD Simulations

QSU2 is an open-source QGIS processing plugin developed by the KIOS Research and Innovation Center of Excellence, University of Cyprus which operates within the QGIS environment, for providing an interface for the [SU2 software](https://su2code.github.io/),  an open-source software suite for simulation and optimization in computational fluid dynamics (CFD), developed at Stanford University. This tool is particularly useful for engineers, researchers, and professionals engaged in CFD analysis, enabling them to efficiently prepare their simulation environments using geospatial data.

## How to cite 

If you find the **"QSU2" QGIS plugin** useful in your research or work, we kindly request that you cite our work. This 
helps support our work and ensures that we can continue developing and maintaining the plugin. Here's the citation for your convenience:

Thank you for your support!

## How to fix/report bugs

To fix a bug `Fork` the `QSU2`, `Edit` the code and make the appropriate change, and then `Pull` it so that we evaluate 
it.

## Contributors
* Syed Mafooq Ul Hassan, [KIOS Research and Innovation Center of Excellence, University of Cyprus](http://www.kios.ucy.ac.cy/)
* Marios Kyriakou, [KIOS Research and Innovation Center of Excellence, University of Cyprus](http://www.kios.ucy.ac.cy/)
* Demetrios Eliades, [KIOS Research and Innovation Center of Excellence, University of Cyprus](http://www.kios.ucy.ac.cy/)

## Contributing
If you want to contribute, please check out our [Code of Conduct](https://github.com/KIOS-Research/QSU2/CODE_OF_CONDUCT.md). Everyone is welcome to contribute whether reporting a new [issue](https://github.com/KIOS-Research/QSU2/issues), suggesting a new feature, or writing code. If you want to contribute code, you can create a new fork in the repo to your own account. Make your commits on your dev branch (based on dev) and when you are finished then you can create a [pull request](https://github.com/KIOS-Research/QSU2/pulls) to test the code and discuss your changes.
